<template >
        <button :type="type" @click="handleClick" :class="classComputed">
            <slot />
        </button>
</template>
<script>
export default {
    props:{
        icon: { 
            type: String,
            required: false,
            default: () => ''
        },
        classes: {type: String, default: ()=> ""},
        value: { type: String, default: () => "Click Me"},
        type: { type: String, default: () => "button"}

    },
    methods:{
        handleClick(){
            this.$emit("onclick")
        }
    },
    computed: {
        classComputed () {
            let classes = 'button ' + this.classes
            if (this.icon) {
                classes += ` button--${this.icon}` 
            }
            return classes
        }
    }
}
</script>
